Active Maintenance Dispatches By Location
The active maintenance dispatches by location resource.
Basehttps://rest.carbon.ms/activeMaintenanceDispatchesByLocation
GET
/activeMaintenanceDispatchesByLocationList active maintenance dispatches by locations
Retrieve a paginated list of active maintenance dispatches by locations. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/activeMaintenanceDispatchesByLocation
curl --request GET \
--url 'https://rest.carbon.ms/activeMaintenanceDispatchesByLocation?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"content": "string",
"status": "string",
"priority": "string",
"source": "string",
"severity": "string",
"oeeImpact": "string"
}
]GET
/activeMaintenanceDispatchesByLocationRetrieve a active maintenance dispatches by location
Fetch a single active maintenance dispatches by location by filtering on `id`.
Query parameters
idstringMatch on the active maintenance dispatches by location's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/activeMaintenanceDispatchesByLocation
curl --request GET \
--url 'https://rest.carbon.ms/activeMaintenanceDispatchesByLocation?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"content": "string",
"status": "string",
"priority": "string",
"source": "string",
"severity": "string",
"oeeImpact": "string"
}